Subject: [MMUSIC] IDENTICAL-PER-PT in draft-ietf-mmusic-sdp-mux-attributes

From: Colin Perkins <[email-masked]>
Date: Mon, 8 Jul 2019 23:03:55 +0100

Hi,

draft-ietf-mmusic-sdp-mux-attributes-17 lists the a=rtcp-fb: attribute from RFC 4585 as IDENTICAL-PER-PT. This makes sense, except that a=rtcp-fb: allows a wildcard PT. Should Section 4.7 of sdp-mux-attributes state that IDENTICAL-PER-PT means identical for *all* PT values when used with a wildcard PT?

Colin

-- 
Colin Perkins
https://csperkins.org/

---

From: Bo Burman <[email-masked]>
Date: Fri, 26 Jul 2019 09:11:20 +0000

Hi,

It seems very clear to me that it must be identical for all PT values in all
bundled media descriptions when at least one media description in the bundle
includes a wildcard. A PT wildcard requires same handling for all PT in the
media description where it is included, and IDENTICAL-PER-PT requires same
PT handling across all bundled media descriptions.

I guess that could be clarified, but I also see no other reasonable
interpretation and therefore don't think the text is broken in any way.

I don't know what triggered the question, but I would assume that it has
something to do with a=rtcp-fb:*?
Is there e.g. a risk that IDENTICAL-PER-PT is incorrectly interpreted as
IDENTICAL-PER-PT-PER-MEDIA-TYPE?

I can imagine a case where a=rtcp-fb:* was used in a non-BUNDLE SDP for the
video media description but not for the audio media description, which I
think is a very common case. When updating that SDP to use BUNDLE, the
a=rtcp-fb:* is (mistakenly) kept, causing it to apply also to all of the PT
in the audio media description, which might not be what the one updating the
SDP to be BUNDLE'd intended or expected. 

Do you think there is significant risk of implementation mistakes if that
clarification is not made?
If so, is this one particularly error-prone or are there also other
potential clarifications that should be made to avoid mistakes when bundling
media descriptions without enough understanding of the BUNDLE implications?

Cheers,
Bo (as individual)

> -----Original Message-----
> From: mmusic <[email-masked]> On Behalf Of Colin Perkins
> Sent: den 9 juli 2019 00:04
> To: IETF MMUSIC WG <[email-masked]>
> Subject: [MMUSIC] IDENTICAL-PER-PT in draft-ietf-mmusic-sdp-mux-
> attributes
> 
> Hi,
> 
> draft-ietf-mmusic-sdp-mux-attributes-17 lists the a=rtcp-fb: attribute
from
> RFC 4585 as IDENTICAL-PER-PT. This makes sense, except that a=rtcp-fb:
> allows a wildcard PT. Should Section 4.7 of sdp-mux-attributes state that
> IDENTICAL-PER-PT means identical for *all* PT values when used with a
> wildcard PT?
> 
> Colin
> 
> 
> --
> Colin Perkins
> https://protect2.fireeye.com/url?k=70455e75-2ccf72ed-70451eee-
> 0cc47ad93eae-
> 23c263c7e25ea2e2&q=1&u=https%3A%2F%2Fcsperkins.org%2F
> 
> 
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Colin Perkins <[email-masked]>
Date: Wed, 31 Jul 2019 15:12:10 +0100

Hi Bo,

Thanks – I was updating draft-ietf-avtcore-cc-feedback-message and checking the definition of IDENTICAL-PER-PT in draft-ietf-sdp-mux-attributes, and I noticed that it didn’t explicitly call out the wildcard case. It seems that you and I both interpreted it the same way, so maybe there’s nothing to clarify, but figured it was worth calling out in case. 

Colin

> On 26 Jul 2019, at 10:11, Bo Burman <[email-masked]> wrote:
> 
> Hi,
> 
>> draft-ietf-mmusic-sdp-mux-attributes-17 lists the a=rtcp-fb: attribute from